
QGIS Application - Feature request #14957

Snapping option "Avoid Intersection" should also prevent lines to overlap the checked poygon layer

2016-06-05 04:21 AM - Harrissou Santanna

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 22906

Description

When "avoid intersection" is active on a layer, you can't draw a new polygon feature (in any layer) to overlap features of the polygon.

But it's still possible to draw line that overlaps these features.

Would be nice to have line features also cut at the boundary of the polygone feature.

History

#1 - 2016-06-26 11:26 PM - Harrissou Santanna

I wonder if this should not be reported as a bug instead of a feature request

#2 - 2017-05-01 12:46 AM - Giovanni Manghi

- Easy fix? set to No
